channels.reportSpam
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Reports some messages from a user in a supergroup as spam; requires administrator rights in the supergroup
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.reportSpam" \ -H "Content-Type: application/json" \ -d '{ "params": { "channel": { "_": "inputChannelEmpty" }, "participant": { "_": "inputPeerEmpty" }, "id": [ 0 ] } }'{ "result": true}reportAntiSpamFalsePositive
Report a [native antispam](https://core.telegram.org/api/antispam) false positive
restrictSponsoredMessages
Disable ads on the specified channel, for all users. Available only after reaching at least the [boost level »](https://core.telegram.org/api/boost) specified in the [channel_restrict_sponsored_level_min »](https://core.telegram.org/api/config#channel-restrict-sponsored-level-min) config parameter.